#
# spec file for package python-translation-finder
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2019 Matthias Fehring <buschmann23@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define modname translation-finder
Name:           python-translation-finder
Version:        1.6
Release:        lp151.2.3.1
Summary:        Translation Files Finder
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://github.com/WeblateOrg/translation-finder
# test_data/linked has to be symlink, hance using github tar ball
Source:         https://github.com/WeblateOrg/translation-finder/archive/%{version}.tar.gz
BuildRequires:  %{python_module chardet}
BuildRequires:  %{python_module clint}
BuildRequires:  %{python_module pytest-runner}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module requests-toolbelt}
BuildRequires:  %{python_module ruamel.yaml}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module twine}
BuildRequires:  fdupes
BuildRequires:  python-pathlib2
BuildRequires:  python-rpm-macros
Requires:       python-chardet
Requires:       python-ruamel.yaml
Requires:       python-setuptools
Requires:       python-six
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
%ifpython2
Requires:       python-pathlib2
%endif
%python_subpackages

%description
A translation file finder for Weblate, translation tool with tight version control integration.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/weblate-discover
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative weblate-discover

%postun
%python_uninstall_alternative weblate-discover

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE
%python_alternative %{_bindir}/weblate-discover
%{python_sitelib}/*

%changelog
* Mon Jul 22 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.6 bsc#1142582:
  * Improved discovery of POT files.
  * Added support for subtitle files supported in Weblate 3.7.
  * Improved detection of actual JSON formats.
  * Added support for detecting PHP files.
  * Improved detection of YAML formats.
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.5:
  * Various performance improvements.
  * Added detection of Fluent translations.
  * Improved detection of language code within filename.
  * Added detection of YAML translations.
* Mon May  6 2019 pgajdos@suse.com
- version update to 1.4
  * Improved detection in Perl code.
  * Extended skip list for language codes.
  * Improved detection of nested language codes with country suffix.
  * Improved processing of Transifex .tx/config files.
  * Include discovery metadata in API results.
  * Improve detection of files in source directory.
  * Fixed discovery of monolingual files in root.
  * Improved detection of non language paths.
* Wed Apr  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Do not use %%pytest macro for now to get this in Leap faster
* Tue Apr  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.1:
  * Improved detection of translation with full language code.
  * Improved detection of language code in directory and file name.
  * Improved detection of language code separated by full stop.
  * Added detection for app store metadata files.
  * Added detection for JSON files.
  * Ignore symlinks during discovery.
  * Improved detection of matching pot files in several corner cases.
  * Improved detection of monolingual Gettext.
- Fix the deps to not pull coverage things
* Wed Mar 20 2019 Matthias Fehring <buschmann23@opensuse.org>
- initial package version 1.0
